MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024483Open CASCADE[OCCT] OCCT:Visualizationpublic2013-12-19 08:532014-05-05 13:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024483: Visualization - drop unused class StdSelect_BRepHilighter
DescriptionIt seems to bee this class is no more used nowadays.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027256)
kgv (developer)
2013-12-19 08:54

Patch is ready for review in CR24483 branch.
(0027314)
san (developer)
2013-12-24 11:06

Branch CR24483 reviewed without remarks, ready for testing.
(0027341)
apn (administrator)
2013-12-25 14:59

ear BugMaster,

Branch CR24483 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0d930360e96d6bb28e8241fd735fe7321a0e130c

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 358533560 / 359755716
Total CPU difference: 42789.640000000254 / 44230.59000000008

Testing on Windows:
Total MEMORY difference: 413220128 / 412686660
Total CPU difference: 29471.78125 / 34870.640625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 6a866b32
Timestamp: 2013-12-19 04:53:37
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024483: Visualization - drop unused class StdSelect_BRepHilighter
mod - src/StdSelect/StdSelect.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_BRepHilighter.cdl Diff ] File ]
rm - src/StdSelect/StdSelect_BRepHilighter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-19 08:53 kgv New Issue
2013-12-19 08:53 kgv Assigned To => san
2013-12-19 08:54 kgv Note Added: 0027256
2013-12-19 08:54 kgv Status new => resolved
2013-12-19 08:56 kgv Relationship added related to 0024394
2013-12-24 11:06 san Note Added: 0027314
2013-12-24 11:06 san Assigned To san => bugmaster
2013-12-24 11:06 san Status resolved => reviewed
2013-12-24 16:53 apn Assigned To bugmaster => apn
2013-12-25 14:59 apn Note Added: 0027341
2013-12-25 15:00 apn Test case number => Not needed
2013-12-25 15:00 apn Assigned To apn => bugmaster
2013-12-25 15:00 apn Status reviewed => tested
2013-12-27 12:29 bugmaster Changeset attached => occt master 6a866b32
2013-12-27 12:29 bugmaster Status tested => verified
2013-12-27 12:29 bugmaster Resolution open => fixed
2014-05-05 13:36 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker